.popup_container {
  position: fixed; /* 화면 전체를 덮는 고정 위치 */
  top: 0;
  left: 0;
  width: 100%; /* 가로 전체를 차지하도록 */
  height: 100%; /* 세로 전체를 차지하도록 */
  background-color: rgba(0, 0, 0, 0.5); /* 반투명 배경 */
  display: none;
  z-index: 9999;
  justify-content: center; /* 가로 중앙 정렬 */
  align-items: flex-start; /* 세로는 상단에서 시작 (top: 100px이 적용될 수 있게) */
}

.popup_list {
  width: 100%;
  max-width: 846px; /* 최대 너비 850px */
  position: absolute;
  display: flex;
  top: 50%; /* 상단에서 100px 내려오기 */
  left: 50%; /* 왼쪽 50%에서 시작 */
  transform: translate(-50%, -50%); /* 가로 중앙으로 이동 */
  box-sizing: border-box;
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.3);
}

.popup_close_container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(calc(-50% + 405px), calc(-50% - 403px));
}

.popup_left-panel {
  width: 640px;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: hidden; /* Ensure overflow is hidden to maintain the sliding effect */
}

.popup_image-container {
  width: 640px;
  height: 768px;
  position: relative;
  overflow: hidden;
}

.popup_image-slide {
  display: flex;
  width: 100%;
  height: 100%;
  cursor: pointer;
  transition: transform 0.5s ease-in-out;
}

.popup_image-slide > img {
  cursor: pointer;
}

.popup_image-container img {
  width: 640px;
  height: 768px;
  object-fit: cover;
}

.popup_footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 640px;
  height: 38px;
  background: #000;
  box-sizing: border-box;
  color: #fff;
  padding: 0 0 0 10px;
}

.popup_footer-text {
  font-family: Pretendard;
  font-size: 16px;
  cursor: pointer;
}

.popup_close-btn {
  font-family: Pretendard;
  width: 40px;
  height: 40px;
  padding: 0px;
  background: #000;
  color: #fff;
  border: none;
  cursor: pointer;
  font-size: 16px;
}

.popup_close-btn > img {
  width: 100%;
  height: 100%;
}

.popup_right-panel {
  width: 210px;
  /* height: 806px; */
  /* background-color: #562461; */
  background-color: #fff;
}

.popup_image-list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  max-height: 760px;
}

.popup_image-item {
  width: 100%;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: Pretendard;
  padding: 5px;
  text-align: center;
  cursor: pointer;
  color: #888;
  font-size: 15px;
  height: 80px;
  box-sizing: border-box;
  border-bottom: 1px solid #F1F1F1;
}

.popup_image-item.active {
  background-color: #3e004b;
  font-weight: 700;
}

.popup_image-dots {
  display: none;
}

.popup_mo_panel {
	width: 100%;
	display: none;
  background-color: #562461;
}

.popup_mo_list {
display: flex;
    width: 100%;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.popup_mo_image_item {
    width: 33%;
    height : 60px;
    font-size: 14px;
}

.popup_image-slide img.clone {
  pointer-events: none;
  user-select: none;
}

/* Media Query for screens smaller than 1400px */
@media (max-width: 1300px) {
  .popup_image-list {
    max-height: 560px;
  }
  .popup_list {
    max-width: 598px;
  }

  .popup_left-panel {
    width: 73%; /* 왼쪽 패널 너비를 줄임 */
  }

  .popup_right-panel {
    width: 27%; /* 오른쪽 패널 너비를 줄임 */
  }

    .popup_image-container {
      width: 100%;
      height: 100%;
    }

  .popup_footer {
    width: 100%; /* 푸터 크기를 100%로 조정 */
  }

  .popup_image-container img {

    width: 438px; /* 이미지가 컨테이너에 맞게 크기 조정 */
    height: 560px;
    object-fit: cover; /* 이미지 비율 유지하면서 잘리지 않게 맞추기 */
    box-sizing: border-box; /* padding이나 border도 width에 포함시켜 정확한 크기 유지 */
  }

  .popup_close_container {
    transform: translate(calc(-50% + 279px), calc(-50% - 299px));
  }
  
}

@media (max-width: 768px) {
  .popup_list {
    max-width: 333px;
  }
  .popup_image-container {
    position: relative; /* 점을 이미지 안에 상대적으로 배치하기 위해 */
  }

  .popup_right-panel {
    display: none;
  }

  .popup_left-panel {
    width: 100%;
  }

  .popup_mo_panel {
    display: block;
  }
  .popup_image-dots {
    display: flex;
    position: absolute;
    bottom: 50px; /* 이미지 바로 아래에 위치 */
    left: 50%;
    transform: translateX(-50%); /* 가운데 정렬 */
    justify-content: center;
  }

  .popup_dot {
    width: 10px;
    height: 10px;
    margin: 0 5px;
    border-radius: 50%;
    background-color: #fff;
    opacity: 0.5;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }

  .popup_dot.active {
    opacity: 1;
    background-color: #3e004b;
  }

  .popup_footer-text {
    font-size: 14px;
  }

  .popup_image-container img {
    width: 335px; /*이미지가 컨테이너에 맞게 크기 조정*/
    height: 401px;
    object-fit: cover; /* 이미지 비율 유지하면서 잘리지 않게 맞추기 */
    box-sizing: border-box; /* padding이나 border도 width에 포함시켜 정확한 크기 유지 */
  }

  .popup_close_container {
    transform: translate(calc(-50% + 147px), calc(-50% - 220px));

  }
}
@media (max-width: 650px) {
  .popup_list {
    max-width: 333px;
  }

  .popup_close_container {
    transform: translate(calc(-50% + 146px), calc(-50% - 220px));
  }
}
@media (max-width: 530px) {
  .popup_list {
    max-width: 333px;
  }

  .popup_close_container {
    transform: translate(calc(-50% + 149px), calc(-50% - 218px));
}
}
@media (max-width: 500px) {
  .popup_close-btn {
    font-family: Pretendard;
    width: 35px;
    height: 35px;
}
}